Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.oxm.xmlbeans
Class XmlOptionsFactoryBean

    java.lang.Object
      org.springframework.oxm.xmlbeans.XmlOptionsFactoryBean

All Implemented Interfaces:
  FactoryBean<org.apache.xmlbeans.XmlOptions>

    public class XmlOptionsFactoryBean

extends java.lang.Object
implements FactoryBean<org.apache.xmlbeans.XmlOptions>

`FactoryBean` that configures an XMLBeans `XmlOptions` object and provides it as a bean reference.

Typical usage will be to set XMLBeans options on this bean, and refer to it in the `XmlBeansMarshaller`.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  `XmlOptions`, `setOptions(java.util.Map)`, `XmlBeansMarshaller.setXmlOptions(XmlOptions)`

Constructor Summary
`XmlOptionsFactoryBean()`

Method Summary
`org.apache.xmlbeans.XmlOptions` | `getObject()` Return an instance (possibly shared or independent) of the object managed by this factory.
`java.lang.Class<? extends org.apache.xmlbeans.XmlOptions>` | `getObjectType()` Return the type of object that this FactoryBean creates, or `null` if not known in advance.
`boolean` | `isSingleton()` Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?
`void` | `setOptions(java.util.Map<java.lang.String,?> optionsMap)` Set options on the underlying `XmlOptions` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlOptionsFactoryBean

    public XmlOptionsFactoryBean()

Method Detail

### setOptions

    public void setOptions(java.util.Map<java.lang.String,?> optionsMap)

  Set options on the underlying `XmlOptions` object.

  The keys of the supplied map should be one of the String constants defined in `XmlOptions`, the values vary per option.

  See Also:
    `XmlOptions.put(Object,Object)`, `XmlOptions.SAVE_PRETTY_PRINT`, `XmlOptions.LOAD_STRIP_COMMENTS`

### getObject

    public org.apache.xmlbeans.XmlOptions getObject()

  Description copied from interface: `FactoryBean`
  Return an instance (possibly shared or independent) of the object managed by this factory.

  As with a `BeanFactory`, this allows support for both the Singleton and Prototype design pattern.

  If this FactoryBean is not fully initialized yet at the time of the call (for example because it is involved in a circular reference), throw a corresponding `FactoryBeanNotInitializedException`.

  As of Spring 2.0, FactoryBeans are allowed to return `null` objects. The factory will consider this as normal value to be used; it will not throw a FactoryBeanNotInitializedException in this case anymore. FactoryBean implementations are encouraged to throw FactoryBeanNotInitializedException themselves now, as appropriate.

  Specified by:
    `getObject` in interface `FactoryBean<org.apache.xmlbeans.XmlOptions>`
  Returns:
    an instance of the bean (can be `null`)
  See Also:
    `FactoryBeanNotInitializedException`

### getObjectType

    public java.lang.Class<? extends org.apache.xmlbeans.XmlOptions> getObjectType()

  Description copied from interface: `FactoryBean`
  Return the type of object that this FactoryBean creates, or `null` if not known in advance.

  This allows one to check for specific types of beans without instantiating objects, for example on autowiring.

  In the case of implementations that are creating a singleton object, this method should try to avoid singleton creation as far as possible; it should rather estimate the type in advance. For prototypes, returning a meaningful type here is advisable too.

  This method can be called before this FactoryBean has been fully initialized. It must not rely on state created during initialization; of course, it can still use such state if available.

  NOTE: Autowiring will simply ignore FactoryBeans that return `null` here. Therefore it is highly recommended to implement this method properly, using the current state of the FactoryBean.

  Specified by:
    `getObjectType` in interface `FactoryBean<org.apache.xmlbeans.XmlOptions>`
  Returns:
    the type of object that this FactoryBean creates, or `null` if not known at the time of the call
  See Also:
    `ListableBeanFactory.getBeansOfType(java.lang.Class)`

### isSingleton

    public boolean isSingleton()

  Description copied from interface: `FactoryBean`
  Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?

  NOTE: If a FactoryBean indicates to hold a singleton object, the object returned from `getObject()` might get cached by the owning BeanFactory. Hence, do not return `true` unless the FactoryBean always exposes the same reference.

  The singleton status of the FactoryBean itself will generally be provided by the owning BeanFactory; usually, it has to be defined as singleton there.

  NOTE: This method returning `false` does not necessarily indicate that returned objects are independent instances. An implementation of the extended `SmartFactoryBean` interface may explicitly indicate independent instances through its `SmartFactoryBean.isPrototype()` method. Plain `FactoryBean` implementations which do not implement this extended interface are simply assumed to always return independent instances if the `isSingleton()` implementation returns `false`.

  Specified by:
    `isSingleton` in interface `FactoryBean<org.apache.xmlbeans.XmlOptions>`
  Returns:
    whether the exposed object is a singleton
  See Also:
    `FactoryBean.getObject()`, `SmartFactoryBean.isPrototype()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD